package sane-utils 1.0.25+git20150528-1ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 8

Bug #1510676 reported by Jared Fernandez on 2015-10-27
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
High
Unassigned
sane-backends (Ubuntu)
High
Unassigned

Bug Description

Encountered during upgrade from Vivid to Wily (15.04 to 15.10)

ProblemType: Package
DistroRelease: Ubuntu 15.10
Package: sane-utils 1.0.25+git20150528-1ubuntu2
ProcVersionSignature: Ubuntu 3.19.0-31.36-generic 3.19.8-ckt7
Uname: Linux 3.19.0-31-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
Date: Thu Oct 22 22:07:26 2015
DuplicateSignature: package:sane-utils:1.0.25+git20150528-1ubuntu2:subprocess installed post-installation script returned error exit status 8
ErrorMessage: subprocess installed post-installation script returned error exit status 8
InstallationDate: Installed on 2013-03-02 (964 days ago)
InstallationMedia: Ubuntu-Server 12.10 "Quantal Quetzal" - Release amd64 (20121017.2)
RelatedPackageVersions:
 dpkg 1.18.2ubuntu5
 apt 1.0.10.2ubuntu1
SourcePackage: sane-backends
Title: package sane-utils 1.0.25+git20150528-1ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 8
UpgradeStatus: Upgraded to wily on 2015-10-23 (0 days ago)
mtime.conffile..etc.default.saned: 2015-04-28T00:00:59.104233
mtime.conffile..etc.sane.d.saned.conf: 2013-09-09T00:21:31.828295

tags: removed: need-duplicate-check

Error appears to occur during this step:

Test for running scanbd
Move homedir from /home/saned to /var/lib/saned
usermod: user saned is currently used by process 5232
dpkg: error processing package sane-utils (--configure):
 subprocess installed post-installation script returned error exit status 8

It's possible that this may have occurred because the installer was unable to stop saned from running before the upgrade. I have had to start saned manually since the upgrade to Vivid because the systemd script is not working.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sane-backends (Ubuntu):
status: New → Confirmed
Rolf Leggewie (r0lf) wrote :

Is this https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774941 ? Sounds very much like it except that that bug was fixed in 1.0.24-9. Quite possibly the fix is incomplete when updating from a broken version.

Changed in sane-backends (Ubuntu):
importance: Undecided → High
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → High
Jörg Frings-Fürst (jff-de) wrote :

Hi,

I'm the maintainer of sane-backends at Debian.

The release 1.0.25+git20150528 was uploaded from Debian "experimental".

[Quote from[1]:]
This directory contains packages and tools which are still being developed, and are still in the alpha testing stage. Users shouldn't be using packages from here, because they can be dangerous and harmful even for the most experienced people.
[/Quote]

It is highly incomprehensible that Ubuntu uses a package from this repository for an official release.

CU
Jörg

[1] https://wiki.debian.org/DebianExperimental

Rolf Leggewie (r0lf) wrote :

Jörg, thank you for pitching in. I'm working on rectifying that old decision. Have a look at bug 1662811

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.